QGIS Application - Feature request #6682
Allow duplication of groups in legend
2012-11-13 11:30 AM - Larry Shaffer

Status: Open

Priority: Normal

Assignee: Larry Shaffer

Category: Map Legend

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 15850
Description

Currently, the duplicate function of the legend only duplicates layers. A duplication of groups would also be useful.

One issue that might arise is when a user has block-selected a bunch of layers, and some of them are in a group, and the group is also
accidentally selected. Some type of check would need to happen to make sure not to duplicate the layers (in place) and also duplicate the
parent group, thereby duplicating the layers again. In theory, if multiple parent groups are accidentally selected, many duplicate group
trees could be created. OR, maybe allow that to take place and let users learn from their mistake of selecting the parent group.

Another approach could be to disallow the duplicate function when multiple selections contain a group. Then, only allow duplication of a
group when there is a single selection containing a group. This method might be better than trying to recursively figure out what to do with

multiple-selected parent groups.

| am assigning this to myself. If some time passes and | do not show any progress, please re-assign.

History

#1 - 2014-06-28 07:43 AM - Jiirgen Fischer
- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#2 - 2016-01-20 02:55 AM - Médéric RIBREUX

Hello, bug triage...

still true for QGIS 2.13 master. Could be a good feature to implement...

#3 - 2017-05-01 12:48 AM - Giovanni Manghi
- Easy fix? set to No
